<source>
  @type  forward
  @id    input1
  @label @mainstream
  port  24224
</source>

<label @mainstream>
  <filter **>
    @type record_transformer
    enable_ruby
    <record>
        exception ${if record.has_key?("throwable") then return record["throwable"][/#{""}(.*?)#{":"}/m, 1] end}
        causedby ${if record.has_key?("throwable") then return record["throwable"][/#{"Caused by:"}(.*?)#{"at "}/m, 1] end}
    </record>
  </filter>
  <match docker.**>
    @type file
    @id   output_docker1
    path         /fluentd/log/docker.*.log
    symlink_path /fluentd/log/docker.log
    append       true
    time_slice_format %Y%m%d
    time_slice_wait   1m
    time_format       %Y%m%dT%H%M%S%z
  </match>
  <match **>
    @type copy
    <store>
      @type elasticsearch
      host elastic-host
      port 9200
      include_tag_key true
      tag_key @log_name
      logstash_format true
      flush_interval 3s
      <record>
        hostname "#{Socket.gethostname}"
      </record>
    </store>
  </match>
</label>
